# Class CreateOptions.Builder

java.lang.Object
org.apache.zookeeper.CreateOptions.Builder

Enclosing class:
  `CreateOptions`

public static class CreateOptions.Builder extends Object
Builder for `CreateOptions`.

## Method Summary

Modifier and Type
Method
Description
`CreateOptions`
`build()`
`CreateOptions.Builder`
`withTtl(long ttl)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### withTtl

public CreateOptions.Builder withTtl(long ttl)

### build

public CreateOptions build()